# cdl_defines.hxx File Reference

## Defines

#define | MAX_CHAR 256
#define | MAX_STRING (MAX_CHAR * 10)
#define | MAX_COMMENT (MAX_CHAR * 300)
#define | ENDOFCOMMENT "\n%\n"
#define | CDL_OPERATOR 1
#define | CDL_INLINE 2
#define | CDL_DESTRUCTOR 3
#define | CDL_CONSTREF 4
#define | CDL_CONSTRET 5
#define | CDL_REF 6
#define | CDL_HARDALIAS 7
#define | CDL_FUNCTIONCALL 8
#define | CDL_COMMENT 9
#define | CDL_PTR 10
#define | CDL_CONSTPTR 11

## Define Documentation

#define CDL_COMMENT 9

#define CDL_CONSTPTR 11

#define CDL_CONSTREF 4

#define CDL_CONSTRET 5

#define CDL_DESTRUCTOR 3

#define CDL_FUNCTIONCALL 8

#define CDL_HARDALIAS 7

#define CDL_INLINE 2

#define CDL_OPERATOR 1

#define CDL_PTR 10

#define CDL_REF 6

#define ENDOFCOMMENT "\n%\n"

#define MAX_CHAR 256

#define MAX_COMMENT (MAX_CHAR * 300)

#define MAX_STRING (MAX_CHAR * 10)